*{
    margin: 0;
    padding: 0;
}

.img-principal{
    width: 6%;
    height: 13%;
    margin-left: 3%;
    margin-top: 1%;
    border-radius: 10px;
}
.container{
    position: relative;
    width: 100%;
    height: 100%;
    background: #f3f5fc;
}

.texto{
    position: absolute;
    width: 42%;
    height: 60%;
    margin-left: 12%;
    top: 15%;
    border: none;
    font-family: "Inter";
    font-style: normal;
    font-weight: 400;
    font-size: 32px;
    line-height: 150%;
    background-color: #f3f5fc;
}

.texto::placeholder{
    color: #0a3871;
}

.texto:focus,
.texto:active{
    border: none;
    outline: none;
}

.terminos{
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 0px;
    gap: 8px;
    position: absolute;
    width: 80%;
    margin-left: 12%;
    top: 80%;
}

.terminos p{
    font-family: "Inter";
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    line-height: 150%;
    color: #495057;
    opacity: 0.8;
    flex: none;
    order: 1;
    flex-grow: 0;
}

.alerta{
    width: 18px;
    height: 18px;

}

.botones{
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    padding: 1% 0;
    position: absolute;
    width: 55%;
    left: 12%;
    top: 82%;
    /* gap: 30px; */
}

.btn-encriptar{
    align-items: center;
    justify-content: center;
    padding: 2%;
    gap: 30px;
    width: 30%;
    background-color: #0a3871;
    border-radius: 24px;
    font-family: "Inter";
    font-size: 18px;
    line-height: 19px;
    text-align: center;
    color: #fff;
}

.btn-desencriptar{
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: center;
    padding: 2%;
    gap: 8px;
    width: 30%;
    background: #d8dfe8;
    border: 1px solid #0a3871;
    border-radius: 24px;
    font-family: "Inter";
    font-weight: 400;
    font-size: 18px;
    line-height: 19px;
    text-align: center;
    color: #0a3871;
}


.btn-desencriptar, 
.btn-encriptar {
    color: rgba(255, 255, 255, 0.9) !important;
    font-size: 20px;
    font-weight: 500;
    padding: 0.5em 1.2em;
    background: #318aac;
    border: 2px solid;
    border-color: #318aac;
    position: relative;
    margin-left: 1%;
  }
  .btn-desencriptar:hover, 
  .btn-encriptar:hover {
    color: rgba(255, 255, 255, 1) !important;
    box-shadow: 0 4px 16px rgba(49, 138, 172, 1);
    transition: all 0.2s ease;
  }


.encriptado{
    display: flex;
    justify-content: center;
    position: absolute;
    width: 30%;
    height: 90%;
    left: 60%;
    top: 5%;
    background: #fff;
    box-shadow: 0px 24px 32px -8px rgba(0, 0, 0, 0.08);
    border-radius: 32px;
}

.mensaje-encriptado{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 1%;
    gap: 16px;
    position: absolute;
    width: 100%;
    top: 65%;
    text-align: center;
}

.mensaje-encriptado h2{
    width: 60%;
    font-family: "Inter";
    font-style: normal;
    font-weight: 700;
    font-size: 24px;
    line-height: 120%;
    text-align: center;
    color: #343a40;
}

.mensaje-encriptado p{
    width: 80%;
    font-family: "Inter";
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 150%;
    text-align: center;
    color: #495057;
}

.encriptado img{
    position: absolute;
    width: 80%;
    height: 50%;
    top: 15%;
    border-radius: 10px;
}

@media (max-width: 820px){
    .img-principal{
        height: 7%;
        width: 8%;
    }
    .container{
        display: flex;
        flex-direction: row;
    }
    .encriptar{
        width: 100%;
    }
    .texto{
        width: 80%;
        height: 60%;
        left: 10%;
        top: 5%;
    }
    .terminos{
        width: 80%;
        left: 10%;
        top: 67%;
    }
    .terminos p{
        font-size: 20px;
    }
    .botones{
        width: 80%;
        left: 10%;
        top: 70%;
    }
    .btn-encriptar,
    .btn-desencriptar{
        width: 48%;
        border-radius: 16px;
    }
    .btn-encriptar:hover,
    .btn-desencriptar:hover{
        margin: 0.3%;
        width: 47.5%;
        padding: 1.8%;
    }
    .encriptado{
        width: 80%;
        height: 15%;
        left: 10%;
        top: 80%;
    }
    .mensaje-encriptado{
        width: 100%;
        top: 5%;
    }
    .mensaje-encriptado h2{
        font-size: 20px;
    }
    .mensaje-encriptado p{
        font-size: 17px;
    }
    .encriptado img{
        top: 0;
        display: none;
        visibility: hidden;
    }
}